PATCH /servers/{guild_id}/config/logging/settings
curl --request PATCH \
--url https://quark.bot/api/servers/{guild_id}/config/logging/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spoilers": true,
"pluralkit_integration": true,
"ignore_bot_targets": true,
"ignore_bot_executors": true,
"format_type": 123,
"buttons": [
"<string>"
],
"active_ignore": true
}
'import requests
url = "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
payload = {
"spoilers": True,
"pluralkit_integration": True,
"ignore_bot_targets": True,
"ignore_bot_executors": True,
"format_type": 123,
"buttons": ["<string>"],
"active_ignore": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spoilers: true,
pluralkit_integration: true,
ignore_bot_targets: true,
ignore_bot_executors: true,
format_type: 123,
buttons: ['<string>'],
active_ignore: true
})
};
fetch('https://quark.bot/api/servers/{guild_id}/config/logging/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Config
PATCH /servers/{guild_id}/config/logging/settings
PATCH
/
servers
/
{guild_id}
/
config
/
logging
/
settings
PATCH /servers/{guild_id}/config/logging/settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The guild_id.
Body
application/json
Whether to log messages with spoilers hidden.
Whether PluralKit integration is enabled.
Whether to ignore actions that target bots.
Whether to ignore actions executed by bots.
The log formatting type. Requires Pro or Pro Lite.
The list of buttons attached to logs.
Whether active ignore is enabled.
Response
200
Successful response
Was this page helpful?
⌘I

